SET QUOTED_IDENTIFIER OFF
GO
IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fco_upd_reportes_aut]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fco_upd_reportes_aut
GO
CREATE PROCEDURE sp_fco_upd_reportes_aut
(
  @pch_compania char(4),
  @pti_cod_rep tinyint,
  @pti_relacionado tinyint,    
  @pvc_usuario varchar(30)
)
AS
/********************************************************************/
/*** Reportes e Interfases de Data Tecnologia                     ***/
/*** Descripcion: crea registros en las tablas fco_reportes_aut   ***/
/*** Autor:	Diana Cecilia Rios Peinado                            ***/
/*** Fecha:	Junio 8 de 2005                                      ***/
/********************************************************************/
/*** Pasado a SQL, Diana C. Rios, Septiembre 26/2005							***/
BEGIN

    IF @pti_relacionado = 1 --2
    BEGIN
      IF NOT EXISTS (SELECT 1 FROM fco_reportes_aut 
        						WHERE compania = @pch_compania AND cod_rep = @pti_cod_rep AND usuariow = @pvc_usuario)
         INSERT INTO fco_reportes_aut (cod_rep, compania, usuariow) VALUES (@pti_cod_rep, @pch_compania, @pvc_usuario)
    END
    ELSE
       DELETE FROM fco_reportes_aut WHERE compania = @pch_compania AND cod_rep = @pti_cod_rep AND usuariow = @pvc_usuario
    
END
GO
GRANT EXECUTE ON sp_fco_upd_reportes_aut TO Public